using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums.SK;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("管控措施")]
    public class T_SK_ENTERPRISE_LIBRARY_TEMP_MEASURE : MesEntityBase
    {
        /// <summary>
        /// 企业库
        /// </summary>
        [Description("企业库")]
        [DataFieldForeignKey("Nav_Library", "Nav_Measures")]
        public Guid ENTERPRISE_LIBRARY_TEMP_ID { get; set; }

        /// <summary>
        /// 导航属性：企业库
        /// </summary>
        [Description("导航属性：企业库")]
        public T_SK_ENTERPRISE_LIBRARY_TEMP Nav_Library { get; set; }
        /// <summary>
        /// 管控措施
        /// </summary>
        [Description("管控措施")]
        public string MEASURES_NAME { get; set; }

        [Description("应急处置")]
        public string EMERGENCY { get; set; }

        [Description("管控部门")]
        [FormFieldEdit]
        public ICollection<T_SK_ENTERPRISE_LIBRARY_TEMP_MEASURE_DEPART> Nav_Departs { get; set; }

        [Description("顺序")]
        public int? NUM { get; set; }

        [Description("编号")]
        public string CODE { get; set; }

       
    }
}
